# Uses of Class
java.nio.channels.Selector

Packages that use Selector
Package
Description
java.nio.channels
Defines channels, which represent connections to entities that are capable of performing I/O operations, such as files and sockets; defines selectors, for multiplexed, non-blocking I/O operations.
java.nio.channels.spi
Service-provider classes for the `java.nio.channels` package.

## Uses of Selector in java.nio.channels

Methods in java.nio.channels that return Selector
Modifier and Type
Method
Description
`static Selector`
Selector.`open()`
Opens a selector.
`abstract Selector`
SelectionKey.`selector()`
Returns the selector for which this key was created.
`abstract Selector`
Selector.`wakeup()`
Causes the first selection operation that has not yet returned to return immediately.
Methods in java.nio.channels with parameters of type Selector
Modifier and Type
Method
Description
`abstract SelectionKey`
SelectableChannel.`keyFor(Selector sel)`
Retrieves the key representing the channel's registration with the given selector.
`final SelectionKey`
SelectableChannel.`register(Selector sel, int ops)`
Registers this channel with the given selector, returning a selection key.
`abstract SelectionKey`
SelectableChannel.`register(Selector sel, int ops, Object att)`
Registers this channel with the given selector, returning a selection key.

## Uses of Selector in java.nio.channels.spi

Subclasses of Selector in java.nio.channels.spi
Modifier and Type
Class
Description
`class`
`AbstractSelector`
Base implementation class for selectors.
Methods in java.nio.channels.spi with parameters of type Selector
Modifier and Type
Method
Description
`final SelectionKey`
AbstractSelectableChannel.`keyFor(Selector sel)`
`final SelectionKey`
AbstractSelectableChannel.`register(Selector sel, int ops, Object att)`
Registers this channel with the given selector, returning a selection key.